FlashScope (Grails 6.0.0)

Package: grails.web.mvc

## [Java] Interface FlashScope

-     @java.lang.SuppressWarnings("rawtypes")
      public interface FlashScope
      extends java.util.Map, java.io.Serializable

  Represents flash scope and allows a flash scope map to be set to the next state. Flash scope essentially allows variables to be maintained for the next state and the next state only, what this means is if objects are stored inside FlashScope on the first call to "next()" they will be still there, but on the subsequent call they will be cleared unless they have been set again since the last call to "next()"

  Authors:
    Graeme Rocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `java.lang.String` | `CHAIN_MODEL` | The attribute containing the chain model

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.util.Map` | `getNow()` Returns the current state of flash scope, to be used if you don't want to include variables in the next request
    `` | `public void` | `next()` Sets the flash scope to the next state upon a new request

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface java.util.Map` | `java.util.Map#remove(java.lang.Object), java.util.Map#remove(java.lang.Object, java.lang.Object), java.util.Map#get(java.lang.Object), java.util.Map#put(java.lang.Object, java.lang.Object), java.util.Map#equals(java.lang.Object), java.util.Map#values(), java.util.Map#hashCode(), java.util.Map#copyOf(java.util.Map), java.util.Map#clear(), java.util.Map#isEmpty(), java.util.Map#replace(java.lang.Object, java.lang.Object), java.util.Map#replace(java.lang.Object, java.lang.Object, java.lang.Object), java.util.Map#replaceAll(java.util.function.BiFunction), java.util.Map#size(), java.util.Map#merge(java.lang.Object, java.lang.Object, java.util.function.BiFunction), java.util.Map#entrySet(), java.util.Map#putAll(java.util.Map), java.util.Map#entry(java.lang.Object, java.lang.Object), java.util.Map#putIfAbsent(java.lang.Object, java.lang.Object), java.util.Map#compute(java.lang.Object, java.util.function.BiFunction), java.util.Map#of(java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object), java.util.Map#of(java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object), java.util.Map#of(java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object), java.util.Map#of(java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object), java.util.Map#of(java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object), java.util.Map#of(java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object), java.util.Map#of(java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object), java.util.Map#of(java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object), java.util.Map#of(java.lang.Object, java.lang.Object, java.lang.Object, java.lang.Object), java.util.Map#of(java.lang.Object, java.lang.Object), java.util.Map#of(), java.util.Map#forEach(java.util.function.BiConsumer), java.util.Map#containsKey(java.lang.Object), java.util.Map#computeIfAbsent(java.lang.Object, java.util.function.Function), java.util.Map#containsValue(java.lang.Object), java.util.Map#keySet(), java.util.Map#getOrDefault(java.lang.Object, java.lang.Object), java.util.Map#computeIfPresent(java.lang.Object, java.util.function.BiFunction), java.util.Map#ofEntries([Ljava.util.Map$Entry;)`

- - ### Field Detail

    - #### java.lang.String CHAIN_MODEL

      The attribute containing the chain model

  - ### Method Detail

    - #### public java.util.Map getNow()

      Returns the current state of flash scope, to be used if you don't want to include variables in the next request

      Returns:
        A map

    - #### public void next()

      Sets the flash scope to the next state upon a new request